Package edu.msu.cme.rdp.classifier.train

## Class Taxonomy

- java.lang.Object
- - edu.msu.cme.rdp.classifier.train.Taxonomy

    public class Taxonomy
    extends java.lang.Object

A Taxonomy holds the raw taxon information.

### Constructor Summary

Constructors
`Taxonomy​(int id, java.lang.String name, int pid, int d, java.lang.String level)` Creates a new instance of Taxonomy

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `changeRank​(java.lang.String s)`
`int` `getDepth()` Returns the depth of the current taxon from root taxon.
`java.lang.String` `getHierLevel()` Returns the hierarchy rank level.
`int` `getParentID()` Returns the taxID of the parent taxon.
`int` `getTaxID()` Returns the taxID.
`java.lang.String` `getTaxName()` Returns the taxon name.
`void` `setDepth​(int d)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Taxonomy

    public Taxonomy​(int id,
                    java.lang.String name,
                    int pid,
                    int d,
                    java.lang.String level)

Creates a new instance of Taxonomy

### Method Detail

#### getTaxID

    public int getTaxID()

Returns the taxID.

#### getTaxName

    public java.lang.String getTaxName()

Returns the taxon name.

#### getParentID

    public int getParentID()

Returns the taxID of the parent taxon.

#### getDepth

    public int getDepth()

Returns the depth of the current taxon from root taxon.

#### getHierLevel

    public java.lang.String getHierLevel()

Returns the hierarchy rank level.

#### setDepth

    public void setDepth​(int d)

#### changeRank

    public void changeRank​(java.lang.String s)